AnonSec Shell
Server IP : 85.193.89.191  /  Your IP : 18.226.150.95
Web Server : Apache
System : Linux 956367-cx40159.tmweb.ru 3.10.0-1160.105.1.el7.x86_64 #1 SMP Thu Dec 7 15:39:45 UTC 2023 x86_64
User : bitrix ( 600)
PHP Version : 8.1.27
Disable Function : NONE
MySQL : OFF  |  cURL : OFF  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /etc/etckeeper/commit.d/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ HOME ]     

Current File : /etc/etckeeper/commit.d/50vcs-commit
#!/bin/sh
set -e

cleanup () {
	if [ -n "$logfile" ]; then
		rm -f "$logfile"
	fi
}
if [ -n "$1" ]; then
	trap cleanup EXIT
	logfile="$(mktemp -t etckeeper-$VCS.XXXXXXXXXX)"
	if [ "x$1" = "x--stdin" ]; then
		cat > "$logfile"
	else
		sed '1s/^-m \{0,1\}//' >"$logfile" <<-EOF
			$*
		EOF
	fi
else
	logfile=""
fi

hostname=`hostname 2>/dev/null || cat /etc/hostname`
hostname="${hostname%%.*}"
dnsdomainname=`dnsdomainname 2>/dev/null || true`
if [ -n "$dnsdomainname" ]; then
	hostname="$hostname.$dnsdomainname"
fi

ORIG_USER=$USER
USER=
if [ -n "$SUDO_USER" ]; then
	USER="$SUDO_USER"
else
	# try to check tty ownership, in case user su'd to root
	TTY="$(tty 2>/dev/null || true)"
	if [ -n "$TTY" ] && [ -c "$TTY" ]; then
		USER="$(find "$TTY" -printf "%u")"
	fi
fi

if [ "$VCS" = git ] && [ -d .git ]; then
	# When not su'd to root, still set environment variables, 
	# since git's own code to determine the author and committer
	# has several edge cases where it fails and would prevent the
	# commit.
	if [ -z "$USER" ]; then
		USER="$(whoami)"
	fi
	if [ -n "$USER" ]; then
		# Use user.name and user.email from the gitconfig belonging
		# to USER.
		USER_HOME="$(getent passwd "$USER" | cut -d: -f6)"
		if [ -n "$USER_HOME" ] && [ -e "$USER_HOME/.gitconfig" ]; then
			if [ -z "$GIT_AUTHOR_NAME" ]; then
				GIT_AUTHOR_NAME="$(git config -f "$USER_HOME/.gitconfig" user.name)" || true
				export GIT_AUTHOR_NAME
			fi
			if [ -z "$GIT_AUTHOR_EMAIL" ]; then
				GIT_AUTHOR_EMAIL="$(git config -f "$USER_HOME/.gitconfig" user.email)" || true
				export GIT_AUTHOR_EMAIL
			fi
		fi
		if [ -z "$GIT_AUTHOR_NAME" ] || [ -z "$GIT_AUTHOR_EMAIL" ]; then
			if [ -n "$USER_HOME" ] && [ -e "$USER_HOME/.config/git/config" ]; then
				if [ -z "$GIT_AUTHOR_NAME" ]; then
					GIT_AUTHOR_NAME="$(git config -f "$USER_HOME/.config/git/config" user.name)" || true
					export GIT_AUTHOR_NAME
				fi
				if [ -z "$GIT_AUTHOR_EMAIL" ]; then
					GIT_AUTHOR_EMAIL="$(git config -f "$USER_HOME/.config/git/config" user.email)" || true
					export GIT_AUTHOR_EMAIL
				fi
			fi
		fi

		if [ -z "$GIT_COMMITTER_EMAIL" ]; then
			GIT_COMMITTER_EMAIL="$(git config --global user.email)" || true
			export GIT_COMMITTER_EMAIL
		fi
		if [ -z "$GIT_AUTHOR_NAME" ]; then
			GIT_AUTHOR_NAME="$USER"
			export GIT_AUTHOR_NAME
		fi
		if [ -z "$GIT_AUTHOR_EMAIL" ]; then
			GIT_AUTHOR_EMAIL="$USER@$hostname"
			export GIT_AUTHOR_EMAIL
		fi
		if [ -z "$GIT_COMMITTER_EMAIL" ]; then
			GIT_COMMITTER_EMAIL=`whoami`"@$hostname"
			export GIT_COMMITTER_EMAIL
		fi
	fi

	# gc ten times more frequently than the default
	# (unless some other config is set)
	GIT_GC_OPTIONS=
	if ! git config gc.auto >/dev/null; then
		GIT_GC_OPTIONS="-c gc.auto=670"
	fi

	if [ -n "$logfile" ]; then
		git $GIT_GC_OPTIONS commit $GIT_COMMIT_OPTIONS -F "$logfile"
	else
		git $GIT_GC_OPTIONS commit $GIT_COMMIT_OPTIONS
	fi
elif [ "$VCS" = hg ] && [ -d .hg ]; then
	if [ -n "$USER" ]; then
		LOGNAME="$USER"
		export LOGNAME
	fi
	if [ -z "$HGUSER" ]; then
		HGUSER="$USER@$hostname"
		export HGUSER
	fi
	if [ -n "$logfile" ]; then
		hg commit $HG_COMMIT_OPTIONS -l "$logfile"
	else
		hg commit $HG_COMMIT_OPTIONS
	fi
elif [ "$VCS" = bzr ] && [ -d .bzr ]; then
	if [ -z "$EMAIL" ] && [ -n "$USER" ]; then
		EMAIL="$USER <$USER@$hostname>"
		export EMAIL
	else
		bzr whoami >/dev/null 2>&1 || export EMAIL="$ORIG_USER <$ORIG_USER@$hostname>"
	fi
	if [ -n "$logfile" ]; then
		bzr commit $BZR_COMMIT_OPTIONS -F "$logfile"
	else
		bzr commit --quiet $BZR_COMMIT_OPTIONS
	fi
elif [ "$VCS" = darcs ] && [ -d _darcs ]; then
	if [ -z "$USER" ]; then
		USER=root
	fi
	if [ -n "$logfile" ]; then
		darcs record --author="$USER" $DARCS_COMMIT_OPTIONS --logfile="$logfile"
	else
		darcs record --author="$USER" $DARCS_COMMIT_OPTIONS
	fi
fi

Anon7 - 2022
AnonSec Team